From e8f587965446013707923e969b8365b0328f0451 Mon Sep 17 00:00:00 2001
From: Aldis Berjoza <aldis@berjoza.lv>
Date: Fri, 23 Oct 2020 17:57:46 +0300
Subject: [PATCH 1/2] Added QubesOS split gpg support

---
 src/password-store.sh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/src/password-store.sh b/src/password-store.sh
index 77f3eda..0f47eb5 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -7,9 +7,14 @@ umask "${PASSWORD_STORE_UMASK:-077}"
 set -o pipefail
 
 GPG_OPTS=( $PASSWORD_STORE_GPG_OPTS "--quiet" "--yes" "--compress-algo=none" "--no-encrypt-to" )
-GPG="gpg"
-export GPG_TTY="${GPG_TTY:-$(tty 2>/dev/null)}"
-which gpg2 &>/dev/null && GPG="gpg2"
+
+if [ "$QUBES_GPG_DOMAIN" != '' ] && which qubes-gpg-client-wrapper &> /dev/null; then
+    GPG="qubes-gpg-client-wrapper"
+else
+    GPG="gpg"
+    export GPG_TTY="${GPG_TTY:-$(tty 2>/dev/null)}"
+    which gpg2 &>/dev/null && GPG="gpg2"
+fi
 [[ -n $GPG_AGENT_INFO || $GPG == "gpg2" ]] && GPG_OPTS+=( "--batch" "--use-agent" )
 
 PREFIX="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
-- 
2.20.1

